# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/raydium,rm67191.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Raydium RM67171 OLED LCD panel with MIPI-DSI protocol

maintainers:
  - Robert Chiras <robert.chiras@nxp.com>

allOf:
  - $ref: panel-common.yaml#

properties:
  compatible:
    const: raydium,rm67191

  reg: true
  port: true
  reset-gpios: true
  width-mm: true
  height-mm: true

  dsi-lanes:
    description: Number of DSI lanes to be used must be <3> or <4>
    enum: [3, 4]

  v3p3-supply:
    description: phandle to 3.3V regulator that powers the VDD_3V3 pin

  v1p8-supply:
    description: phandle to 1.8V regulator that powers the VDD_1V8 pin

  video-mode:
    description: |
      0 - burst-mode
      1 - non-burst with sync event
      2 - non-burst with sync pulse
    enum: [0, 1, 2]

required:
  - compatible
  - reg
  - dsi-lanes
  - port

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    dsi {
        #address-cells = <1>;
        #size-cells = <0>;

        panel@0 {
            compatible = "raydium,rm67191";
            reg = <0>;
            reset-gpios = <&gpio1 7 GPIO_ACTIVE_LOW>;
            dsi-lanes = <4>;
            width-mm = <68>;
            height-mm = <121>;
            video-mode = <1>;

            port {
                panel_in: endpoint {
                    remote-endpoint = <&mipi_out>;
                };
            };
        };
    };

...
